Overview
LiGo's API is built on the RESTful architecture with easy-to-understand resource-based URLs. It accepts JSON-formatted request bodies, responds with JSON-formatted responses, and uses standard HTTP response codes, and conventional authentication methods. Don't know what a REST API is? Don't worry & keep reading. We cover that too.
What is a REST API?
A REST API lets your application communicate with our server using simple HTTP requests (like the ones you use in a browser). You send data to us, we send data back to you. This is usually done in JSON format.
Making Requests
Each request is made using an HTTP method. Here's what each method does:
| Method | Scopo |
|---|---|
| GET | Retrieves data |
| POST | Creates a new item |
| PUT | Updates an existing item |
| DELETE | Deletes an item |
GET https://ligosocial.com/api/v1/pingBase URL
All API requests should be made to the following base URL:
https://ligosocial.com/api/v1Request & Response Format
All requests must include the following headers:
Content-Type: application/json
Authorization: Bearer xxx-xxx-xxxRequests can be made using tools such as Postman or cURL, or programmatically from your application (Any other method is viable too ofcourse). Ensure all request bodies are JSON-encoded.
Each request requires you to enter your unique API key which you can find Ecco . We also have a more comprehensive guide on our Authentication method
Request Format
{
"idea": "Post idea"
}Response Format
{
"idea": {
"created_at": "2025-09-25T12:34:56.000000",
"idea": "Post idea",
"updated_at": "2025-09-25T12:34:56.000000"
},
"msg": "User-generated idea added successfully"
}Need Help?
If any information seems missing or broken, please contact support by clicking the message icon on the bottom right of your screen.